<div id="word_form">
  <h2>Define a Word</h2>
  <form [formGroup]="wordForm" (ngSubmit)="onSubmit()">

    <mat-form-field appearance="standard" color="primary">
      <mat-label>Name</mat-label>
      <input formControlName="name" id="name" matInput>
    </mat-form-field>
    <br>
    <mat-form-field appearance="outline" color="primary">
      <mat-label>Definition</mat-label>
      <textarea formControlName="definition" id="definition" matInput></textarea>
    </mat-form-field>
    <br>
    <mat-form-field class="example-chip-list">
      <mat-label>Tags</mat-label>
      <mat-chip-list #chipList aria-label="Fruit selection">
        <mat-chip *ngFor="let tag of validatedTags" [selectable]="selectable"
                  selected="true"
                  [removable]="removable" (removed)="remove(tag)" color="{{tag.validated.accent}}">
          {{tag.name}}
          <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
        </mat-chip>
        <input id="tag" formControlName="tags" placeholder="New tag..."
               [matChipInputFor]="chipList"
               [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
               [matChipInputAddOnBlur]="addOnBlur"
               (matChipInputTokenEnd)="add($event)">
      </mat-chip-list>
    </mat-form-field>
    <br>
    <mat-error *ngIf="!valid">{{getFormErrors()}}</mat-error>
    <br>
    <button mat-raised-button id="submit" type="submit" color="primary">Create</button>

  </form>
</div>
